import static java.lang.Math.abs;
import static java.lang.Math.max;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.HashMap;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class Payment extends HttpServlet {

  @Override
  protected void doGet(HttpServletRequest req, HttpServletResponse res) 
  throws ServletException, IOException {
    String account;
    
    HttpSession session = req.getSession(false);
    if(session==null || (account=(String)session.getAttribute("account"))==null) {
      res.sendRedirect(res.encodeRedirectURL("jsp/LoginFailed.jsp"));
    } else {  
      ArrayList<String> cart = (ArrayList<String>)session.getAttribute("cart");
      HashMap<String, Integer> colors = (HashMap<String, Integer>)session.getAttribute("colors");
      
      ArrayList<Integer> cs = new ArrayList<Integer>();
      for(String tmp : cart) {
        cs.add(colors.get(tmp));
      }
      
      res.setContentType("text/html; charset=Windows-31J");
      PrintWriter out = res.getWriter();
      
      
      out.printf("<html><head><title>i̕\</title></head>%n");
      out.printf("<body><h1>i̕\</h1>%n");
      out.printf("<hr />%n");
      out.printf("<p style='letter-spacing:-0.2em;line-height:80%%'>");
      int len = cs.size();
      for(int i=-len+1; i<len; i++) {
        for(int j=-len+1; j<len; j++) {
          int d = max(abs(i), abs(j));
          out.printf("<font color='#%06x'></font>", cs.get(d)); 
        }
        out.printf("<br />%n");
      }
      out.printf("</p>");
      out.printf("<p>designed by %s</p>%n", account);
      out.printf("<hr />%n");
      out.printf("<ul>%n");
      out.printf("<li><a href='%s'>F̑I</a>ɖ߂</li>%n", res.encodeURL("ItemList"));
      out.printf("<li><a href='%s'>OAEg</a></li>%n", res.encodeURL("Logout"));
      out.printf("</ul>%n");
      out.printf("<hr /></body></html>%n");
    }
  }
  

}
