import java.io.IOException;
import java.io.PrintWriter;
import java.util.HashMap;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class ItemList extends HttpServlet {
  @Override
  protected void doGet(HttpServletRequest req, HttpServletResponse res) 
  throws ServletException, IOException {
    String account;
    
    HttpSession session = req.getSession(false);
    if(session==null || (account=(String)session.getAttribute("account"))==null) {
      res.sendRedirect(res.encodeRedirectURL("jsp/LoginFailed.jsp"));
    } else {
      HashMap<String, Integer> colors = (HashMap<String, Integer>)session.getAttribute("colors"); 
      res.setContentType("text/html; charset=Windows-31J");
      
      PrintWriter out = res.getWriter();
      out.printf("<html><head><title>F̑I</title></head>%n");
      out.printf("<body>%n");
      out.printf("<h1>F̑I</h1>%n");
      out.printf("<p>%s悤I F̑Is܂B</p><hr />%n", account);
      out.printf("<ul>%n");
      out.printf("<li><a href='%s'>܂őIF</a></li>%n", res.encodeURL("ShowCart"));
      out.printf("<li><a href='%s'>OAEg</a></li>%n", res.encodeURL("Logout"));
      out.printf("</ul>%n");
      out.printf("<hr />%n");
      
      out.printf("<table border='2'>%n");
      for(String s : colors.keySet()) {
        out.printf("<tr><td><font color='#%06x'>%sF</font>", colors.get(s), s); 
        out.printf("<form action='%s' method='post'>", res.encodeURL("ShowCart"));
        out.printf("<input type='hidden' name='color' value='%s' />",s);
        out.printf("<input type='submit' value='I' />");
        out.printf("</form></td>");
        out.printf("</tr>%n");
      }
      out.printf("</table><hr />%n");
      out.printf("</body></html>%n");
    }
  }
  
}
