import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.HashMap;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class ShowCart extends HttpServlet {
  @Override
  protected void doPost(HttpServletRequest req, HttpServletResponse res) 
  throws ServletException, IOException {
    String account;
    
    HttpSession session = req.getSession(false);
    if(session==null || (account=(String)session.getAttribute("account"))==null) {
      res.sendRedirect(res.encodeRedirectURL("jsp/LoginFailed.jsp"));
    } else {
      HashMap<String, Integer> colors = (HashMap<String, Integer>)session.getAttribute("colors");  
      ArrayList<String> cart = (ArrayList<String>)session.getAttribute("cart");
      
      res.setContentType("text/html; charset=Windows-31J");
      PrintWriter out = res.getWriter();
      out.printf("<html><head><title>Ie̕\</title></head>%n");
      out.printf("<body><h1>Ie̕\</h1>%n");
      
      req.setCharacterEncoding("Windows-31J");  
      String added = req.getParameter("color");
      if(added!=null) {
        int c = colors.get(added);
        out.printf("<p>%s񂪑IF<font color='#%06x'>%sF</font>łB</p>%n<hr />%n",
                   account, c, added);
        cart.add(added);
        
      }
      out.printf("<p>܂%s񂪑IF\܂B</p>%n<p>", account);
      out.printf("<font size='+4'>%n");
      for(String tmp : cart) {
        int c = colors.get(tmp);
        out.printf("<font color='#%06x'>%s</font>&nbsp;&nbsp;", c, tmp);
      }
      out.printf("</font></p>%n");
      out.printf("<ul>%n");
      out.printf("<li><a href='%s'>F̑I</a>ɖ߂</li>%n", res.encodeURL("ItemList"));
      out.printf("<li><a href='%s'>i𐧍</a></li>%n", res.encodeURL("Payment"));
      out.printf("<li><a href='%s'>OAEg</a></li>%n", res.encodeURL("Logout"));
      out.printf("</ul>%n");
      out.printf("<hr /></body></html>%n");
    }
  }
  
  @Override
  protected void doGet(HttpServletRequest req, HttpServletResponse res) 
  throws ServletException, IOException {
    doPost(req, res);
  }
}
